Subject: Re: core-packages-team updated

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 28 Feb 2025 12:41:11 +0100

Ludovic Courtès writes:

> Hi!
>
> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>>> commit feb56748faa07c457654187e3cd154b26f7e6b2a
>>
>> and this would be on Ludo :)
>>
>>> Is this not usually handled on guix-devel, or maybe by comments in the
>>> code, with the commit message limited to what is actually changed
>>> (the lines starting with "*") and sometimes one or two sentences about
>>> the rationale?
>>
>> Yes, usually I would agree.  A too long message could be a sign of need
>> for documentation (code or manual) or a missing test...
>
> I agree too.  The common way is to describe the problem in detail in the
> bug report or cover letter, and then simply refer to it in the commit
> message.  We could do that here.

I've pushed two empty squash! commits with sanitized commit messages for
these two, so that we won't forget and it's easy to fix.

Thanks Andreas for reviewing!

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com